## org.apache.http
Interface RequestLine

All Known Implementing Classes:
  BasicRequestLine

    public interface RequestLine

The Request-Line begins with a method token, followed by the Request-URI and the protocol version, and ending with CRLF. The elements are separated by SP characters. No CR or LF is allowed except in the final CRLF sequence.

          Request-Line   = Method SP Request-URI SP HTTP-Version CRLF

Since:
  4.0

Method Summary
`String` `getMethod()`
`ProtocolVersion` `getProtocolVersion()`
`String` `getUri()`

Method Detail

### getMethod

    String getMethod()

### getProtocolVersion

    ProtocolVersion getProtocolVersion()

### getUri

    String getUri()

Copyright © 2005-2013 The Apache Software Foundation. All Rights Reserved.